*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    background-color: oklch(0.9961 0.0034 325.6);
    font-family: "Montserrat", sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
}

body {
    margin: 0;
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

header {
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.9961 0.0034 325.6);
}

footer {
    background-color: oklch(0.3211 0 0);
}

nav ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

nav a {
    display: inline-block;
    padding-top: 1rem;
    padding-inline: 2rem;
    text-decoration: none;
    color: inherit;
}

nav ul {
    margin-left: -2rem;
}

nav ul li:nth-child(2) {
    background-color: oklch(0.5664 0.1078 42.83);
}

footer p:last-child {
    margin: 0;
}

h2 + p {
    font-style: italic;
}

a[href*="mozilla"] {
    background-color: oklch(0.5664 0.214 42.83);
}

.highlights {
    font-style: italic;
    font-weight: bold;
}

main .container--narrow {
    max-width: 40rem;
}

.m-1 {
    margin: 1rem;
    padding: 0;
}
.m-2 {
    margin: 2rem;
    padding: 0;
}

.p-1 {
    margin: 0;
    padding: 5rem;
}

.p-2 {
    margin: 0;
    padding: 3rem;
}

main {
    padding-top: 2vh;
    padding-bottom: 4vw;
}

footer .highlights{
    color: oklch(0.7 0.1038 263.32);
    font-style: normal;
    font-weight: normal;
}

nav a:hover {
    background-color: oklch(0.7 0.1038 263.32);
    outline: dotted 4px;
}